searchData={"items":[{"type":"module","title":"MbtaMetro","doc":"A Phoenix LiveView component library.","ref":"MbtaMetro.html"},{"type":"module","title":"MbtaMetro.Components.Accordion","doc":"","ref":"MbtaMetro.Components.Accordion.html"},{"type":"function","title":"MbtaMetro.Components.Accordion.accordion/1","doc":"A disclosure widget that reveals or hides additional content.","ref":"MbtaMetro.Components.Accordion.html#accordion/1"},{"type":"function","title":"Attributes - MbtaMetro.Components.Accordion.accordion/1","doc":"* `open` (`:boolean`) - Whether the accordion starts open or closed. Defaults to `false`.","ref":"MbtaMetro.Components.Accordion.html#accordion/1-attributes"},{"type":"function","title":"Slots - MbtaMetro.Components.Accordion.accordion/1","doc":"* `content` (required)\n* `extra` - Supplemental content to be shown below the accordion. Helpful for showing error states if form inputs are inside the component.\n* `heading` (required) - The header of the component. Supports HTML markup.","ref":"MbtaMetro.Components.Accordion.html#accordion/1-slots"},{"type":"module","title":"MbtaMetro.Components.JS","doc":"TODO: Add module documentation","ref":"MbtaMetro.Components.JS.html"},{"type":"function","title":"MbtaMetro.Components.JS.hide/2","doc":"","ref":"MbtaMetro.Components.JS.html#hide/2"},{"type":"function","title":"MbtaMetro.Components.JS.show/2","doc":"","ref":"MbtaMetro.Components.JS.html#show/2"},{"type":"module","title":"MbtaMetro.Components.ModeSelector","doc":"","ref":"MbtaMetro.Components.ModeSelector.html"},{"type":"function","title":"MbtaMetro.Components.ModeSelector.mode_selector/1","doc":"Select one or more modes of transit in a very visual way.","ref":"MbtaMetro.Components.ModeSelector.html#mode_selector/1"},{"type":"function","title":"Attributes - MbtaMetro.Components.ModeSelector.mode_selector/1","doc":"* `field` (`Phoenix.HTML.FormField`) - A form field struct retrieved from the form, for example: @form[:modes_to_show].\n* `modes` (`:list`) - A list of label-value tuples. Defaults to `[{\"Subway\", :subway}, {\"Commuter Rail\", :commuter_rail}, {\"Bus\", :bus}, {\"Ferry\", :ferry}]`.","ref":"MbtaMetro.Components.ModeSelector.html#mode_selector/1-attributes"},{"type":"module","title":"MbtaMetro.Live.DatePicker","doc":"A live component that renders a calendar using [Flatpickr](https://flatpickr.js.org).","ref":"MbtaMetro.Live.DatePicker.html"},{"type":"function","title":"MbtaMetro.Live.DatePicker.handle_event/3","doc":"","ref":"MbtaMetro.Live.DatePicker.html#handle_event/3"},{"type":"function","title":"MbtaMetro.Live.DatePicker.mount/3","doc":"","ref":"MbtaMetro.Live.DatePicker.html#mount/3"},{"type":"function","title":"MbtaMetro.Live.DatePicker.render/1","doc":"Renders the calendar.","ref":"MbtaMetro.Live.DatePicker.html#render/1"},{"type":"module","title":"MbtaMetro.Live.Map","doc":"A live component that renders a map using AWS Location Service.\n\nYou must pass in the following assigns:\n\n  * `:api_key` - The AWS Location Service API key.\n  * `:map_name` - The name of the map to render.\n  * `:region` - The AWS region where the map is located.\n\nYou can optionally pass in the following assigns:\n\n  * `:class` - The CSS classes to apply to the map container. You'll most likely want to set the height and width of the map here.\n  * `:click_handler` - A boolean indicating whether to handle map clicks.\n\nIf `:click_handler` is `true`, the component will send a `map-clicked` event to the parent live view when the map is clicked.","ref":"MbtaMetro.Live.Map.html"},{"type":"function","title":"MbtaMetro.Live.Map.mount/3","doc":"","ref":"MbtaMetro.Live.Map.html#mount/3"},{"type":"function","title":"MbtaMetro.Live.Map.render/1","doc":"Renders the map component.","ref":"MbtaMetro.Live.Map.html#render/1"},{"type":"module","title":"MbtaMetroWeb.Storybook","doc":"","ref":"MbtaMetroWeb.Storybook.html"},{"type":"function","title":"MbtaMetroWeb.Storybook.load_story/1","doc":"","ref":"MbtaMetroWeb.Storybook.html#load_story/1"},{"type":"extras","title":"MBTA METRO","doc":"# MBTA METRO\n\nTo demo all of the MBTA METRO components:\n\n```\n%> mix setup\n%> mix phx.server\n```\n\nNow you can visit [`localhost:4000`](http://localhost:4000/storybook) from your browser.","ref":"readme.html"},{"type":"extras","title":"Installation - MBTA METRO","doc":"","ref":"readme.html#installation"},{"type":"extras","title":"Install Tailwind - MBTA METRO","doc":"If you have a clean, recent installation of Phoenix, you should already have Tailwind installed.\nIf not, you can follow [this guide](https://tailwindcss.com/docs/guides/phoenix).","ref":"readme.html#install-tailwind"},{"type":"extras","title":"Install MBTA METRO - MBTA METRO","doc":"Add this to your `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:mbta_metro, \">= 0.0.0\"}\n  ]\nend\n```\n\nImport the styles in your `assets/css/app.css`:\n\n```css\n@import \"../../deps/mbta_metro/priv/static/assets/app.css\";\n```\n\nThe, follow the installation instructions for the [npm package](https://www.npmjs.com/package/mbta_metro).","ref":"readme.html#install-mbta-metro"},{"type":"extras","title":"LiveComponents - MBTA METRO","doc":"Some components, like the Map, take further configuration.\n\n#### Map\n\n```elixir\nconfig :mbta_metro, :aws_location,\n  api_key: System.get_env(\"AWS_LOCATION_API_KEY\"),\n  map_name: System.get_env(\"AWS_LOCATION_MAP_NAME\"),\n  region: System.get_env(\"AWS_LOCATION_REGION\")\n```\n\nYou'll also have to add the following to your CSP (assuming you have one):\n\n```elixir\n[\n  \"child-src blob: ;\",\n  \"connect-src *.amazonaws.com\",\n  \"worker-src blob: ;\"\n]\n```","ref":"readme.html#livecomponents"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}